tigase.server

## Enum ConnectionManager.LIMIT_ACTION

- java.lang.Object
- - java.lang.Enum<ConnectionManager.LIMIT_ACTION>
  - - tigase.server.ConnectionManager.LIMIT_ACTION

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionManager.LIMIT_ACTION>
  Enclosing class:
    ConnectionManager<IO extends XMPPIOService<?>>

      public static enum ConnectionManager.LIMIT_ACTION
      extends Enum<ConnectionManager.LIMIT_ACTION>

  Describe class `LIMIT_ACTION` here.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCONNECT`
    `DROP_PACKETS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionManager.LIMIT_ACTION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionManager.LIMIT_ACTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCONNECT

          public static final ConnectionManager.LIMIT_ACTION DISCONNECT

    - #### DROP_PACKETS

          public static final ConnectionManager.LIMIT_ACTION DROP_PACKETS

  - ### Method Detail

    - #### values

          public static ConnectionManager.LIMIT_ACTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionManager.LIMIT_ACTION c : ConnectionManager.LIMIT_ACTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionManager.LIMIT_ACTION valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 "Tigase, Inc.". All rights reserved.